## org.apache.fop.dom
Class CharacterDataImpl

    java.lang.Object
      |
      +--org.apache.fop.dom.NodeImpl
            |
            +--org.apache.fop.dom.CharacterDataImpl

public class CharacterDataImpl
extends NodeImpl
implements org.w3c.dom.CharacterData

Fields inherited from class org.apache.fop.dom.NodeImpl
`childs, ownerDoc`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`CharacterDataImpl()`

Method Summary
`void` `appendData(java.lang.String s)`
`void` `deleteData(int i, int j)`
`java.lang.String` `getData()`
`int` `getLength()`
`void` `insertData(int i, java.lang.String s)`
`void` `replaceData(int i, int j, java.lang.String s)`
`void` `setData(java.lang.String s)`
`java.lang.String` `substringData(int i, int j)`
`java.lang.String` `toString()`

Methods inherited from class org.apache.fop.dom.NodeImpl
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTagName, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix, supports`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CharacterDataImpl

    public CharacterDataImpl()

Method Detail

### getData

    public java.lang.String getData()

  Specified by:
    getData in interface org.w3c.dom.CharacterData

### setData

    public void setData(java.lang.String s)

  Specified by:
    setData in interface org.w3c.dom.CharacterData

### insertData

    public void insertData(int i,
                           java.lang.String s)

  Specified by:
    insertData in interface org.w3c.dom.CharacterData

### deleteData

    public void deleteData(int i,
                           int j)

  Specified by:
    deleteData in interface org.w3c.dom.CharacterData

### getLength

    public int getLength()

  Specified by:
    getLength in interface org.w3c.dom.CharacterData

### appendData

    public void appendData(java.lang.String s)

  Specified by:
    appendData in interface org.w3c.dom.CharacterData

### replaceData

    public void replaceData(int i,
                            int j,
                            java.lang.String s)

  Specified by:
    replaceData in interface org.w3c.dom.CharacterData

### substringData

    public java.lang.String substringData(int i,
                                          int j)

  Specified by:
    substringData in interface org.w3c.dom.CharacterData

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.